%global forgeurl    https://gitlab.gnome.org/jpu/cambalache
%global commit      c91562afbdf460571c109441e38679e5eae3f977

%global uuid        ar.xjuan.Cambalache

Name:           cambalache
Version:        0.6.0
Release:        %autorelease
Summary:        RAD tool for Gtk 4 & 3 with a clear MVC design and data model first philosophy
BuildArch:      noarch

%forgemeta

# Cambalache is licensed under the LGPLv2 license.
# Tools (in the tools/ directory) are licensed under the GPLv2 license.
# Tools are not installed, so neither will be the GPLv2 license.
License:        LGPLv2 AND GPLv2
URL:            %{forgeurl}
Source0:        %{forgesource}
Patch0:         appdata-metainfo.patch
Patch1:         installation-changes.patch

BuildRequires:  meson
BuildRequires:  gtk4-devel
BuildRequires:  python3-devel
BuildRequires:  python3-gobject-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  git-core

Requires:       hicolor-icon-theme
Requires:       merengue
Requires:       python3-lxml
Requires:       webkit2gtk3

%package -n merengue
Summary:        %{summary}

Requires:       gtk4
Recommends:     gtk3
Requires:       python3-gobject


%global _description %{expand:
Cambalache is a new RAD tool for Gtk 4 and 3 with a clear MVC design and data
model first philosophy. This translates to a wide feature coverage with
minimal/none developer intervention for basic support.

To support multiple Gtk versions it renders the workspace out of process using
the Gdk broadway backend.}

%description %{_description}

%description -n merengue %{_description}


%prep
%forgeautosetup -S git


%build
%meson
%meson_build


%install
%meson_install
%find_lang %{name}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{uuid}.desktop


%files -f %{name}.lang
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}ui/
%{_metainfodir}/%{uuid}.appdata.xml
%{_datadir}/applications/%{uuid}.desktop
%{_datadir}/%{name}/
%{_datadir}/%{name}ui/
%{_datadir}/icons/hicolor/*/apps/*.svg

%files -n merengue
%license COPYING
%{_bindir}/merengue
%{python3_sitelib}/merengue/
%{_datadir}/merengue/


%changelog
%autochangelog
